[![http://spinlab.net](https://img.shields.io/pypi/v/spinlab)](https://pypi.org/project/spinlab/)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/spinlab)](https://www.python.org/downloads/)
[![Downloads](https://pepy.tech/badge/spinlab/month)](https://pepy.tech/project/spinlab)

[![SpinLab Logo](http://spinlab.net/_static/SpinlabLogo.png)](http://spinlab.net)
# SpinLab - Bringing the Power of Python to Spin-NMR Spectroscopy

SpinLab is a collaborative project created by:
- [Bridge12 Technologies, Inc.](http://www.bridge12.com/)
- [Han Lab NWU](https://hanlab.northwestern.edu/)
- [Franck Lab Syracuse University](https://jmfrancklab.github.io/)

Authors:
Timothy Keller, Yen-Chun Huang, Karl Rieger, John Franck, Thorsten Maly, Songi Han

Alumnis:
Thomas Casey, Yanxian Lin

SpinLab is an object-oriented Open Source Python-based package for importing, processing, and analyzing data determined in a [Dynamic Nuclear Polarization (Spin)](https://www.bridge12.com/learn/spinlab-spectroscopy/) or Electron Paramagnetic Resonance (EPR) experiment.

# Features

  - Import many different NMR data formats (Topspin, VnmrJ, Prospa, ...)
  - Create N-dimensional data objects
  - Easy processing of NMR data (apodization, zero-filling, Fourier transformations, alignment, ...)
  - Analyze data using the specific modules

# Installation

SpinLab can be easily installed via pip:

```console
pip install spinlab
```

# Documenation

Find the online documentation at: http://docs.spinlab.net

# Developement 

  - Clone the git repository from https://github.com/SpinLab/spinlab
